OaIdl.SAFEARRAY.ByReference (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.SAFEARRAY.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.SAFEARRAY
    - - com.sun.jna.platform.win32.OaIdl.SAFEARRAY.ByReference

- All Implemented Interfaces:
    Structure.ByReference, java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    OaIdl.SAFEARRAY

      public static class OaIdl.SAFEARRAY.ByReference
      extends OaIdl.SAFEARRAY
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.OaIdl.SAFEARRAY

      `OaIdl.SAFEARRAY.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.OaIdl.SAFEARRAY

      `cbElements, cDims, cLocks, fFeatures, pvData, rgsabound`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.OaIdl.SAFEARRAY

      `accessData, close, createSafeArray, createSafeArray, destroy, getDimensionCount, getElement, getElemsize, getLBound, getUBound, getVarType, lock, ptrOfIndex, putElement, read, redim, unaccessData, unlock`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.